Bug 511037 - screen is flickering on tty
screen is flickering on tty
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 08:07 EDT by Sebastian Vahl
Modified: 2010-12-05 01:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:43:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2009-07-13 08:07:43 EDT
Description of problem:
I have an old 19" CRT. When I boot to a tty (eg. in runlevel 3) the screen starts flickering after a few seconds. After a few minutes it is so hard flickering that I have to turn the monitor off. The control panel of my monitor says that the used resolution is 1280x1024@85Hz. 85 Hz is the maximum refresh rate in this resolution of my monitor.
I think this starts with kernel 2.6.30 and the disabled nomodeset option (which I've used before). I'm also not able to control the resolution with the vga option in grub.conf.


Version-Release number of selected component (if applicable):
2.6.31-0.42.rc2.fc12.x86_64


How reproducible:
ever

Steps to Reproduce:
1. boot to a tty

Actual results:
screen is flickering


Expected results:
screen should not be flickering and maybe not using the maximum refresh rate of an resolution (AFAIK CRTs should not be used with the maximum refresh rate)


Additional info: 
1. cat /proc/cmdline 
ro root=LABEL=live_rawhide rhgb quiet

2. 01:00.0 VGA compatible controller: ATI Technologies Inc R420 JI [Radeon X800PRO] (prog-if 00 [VGA controller])
Comment 1 Chuck Ebbert 2009-08-05 01:22:53 EDT
I don't think there's any way to tell the modesetting code what resolution/refresh rate to use?
Comment 2 Sebastian Vahl 2009-08-10 11:01:42 EDT
This behaviour is sometimes better and sometimes worse. ATM also X is flickering after a few seconds.
Comment 3 Sebastian Vahl 2009-08-27 17:09:41 EDT
I should add that I have two different monitors (a 17" and a 19" CRT) connected to my graphics card. And that seems to be the problem. If I remove the 17" all is working fine. With it being connected it seems that the frequencies are mixed up in some way. My primary 19" shows plymouth only partly on the top left side of the screen (seems to be 1024x768 if I have to guess).
Comment 4 Bug Zapper 2009-11-16 05:47:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 06:48:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-05 01:43:34 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.